# $Revision: 1.3.2.2 $, $Date: 2003/04/28 12:51:54 $
#
# Conditional build:
# _without_tests - do not perform "make test"
%include	/usr/lib/rpm/macros.perl
%define		pnam	XMLNews-HTMLTemplate
Summary:	XMLNews::HTMLTemplate Perl module - for converting NITF to HTML
Summary(pl):	Modu Perla XMLNews::HTMLTemplate - konwertujcy NITF do HTML
Name:		perl-XMLNews-HTMLTemplate
Version:	0.01
Release:	3
License:	Free
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/authors/id/DMEGG/%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	perl-XML-Parser
BuildRequires:	perl-XMLNews-Meta
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The XMLNews::HTMLTemplate module provides a simple mechanism for
creating HTML pages from XML/NITF news stories and/or XML/RDF metadata
files based on a user-supplied template file. The template is a simple
HTML file (SGML or XML flavour) using special template commands.

%description -l pl
Modu XMLNews::HTMLTemplate udostpnia prosty mechanizm do tworzenia
stron HTML z artykuw XML/NITF i/lub plikw metadanych XML/RDF,
bazujc na podanym pliku z szablonem. Szablon jest prostym plikiem
HTML (w wersji SGML lub XML) ze specjalnymi poleceniami.

%prep
%setup -q -n %{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make}

%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_sitelib}/XMLNews/HTMLTemplate.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-XMLNews-HTMLTemplate.spec,v $
Revision 1.3.2.2  2003/04/28 12:51:54  ankry
- really rel++

Revision 1.3.2.1  2003/03/13 00:59:28  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.3  2003/02/25 00:43:23  radek
- use the __perl macro

Revision 1.2  2002/08/18 12:18:41  blues
- release 2 - license fix; STBR

Revision 1.1  2002/08/04 19:23:52  qboosh
- new

